AutoComplete4.rar

  • PUDN用户
    了解作者
  • Unix_Linux
    开发工具
  • 5KB
    文件大小
  • rar
    文件格式
  • 0
    收藏次数
  • 1 积分
    下载积分
  • 2
    下载次数
  • 2014-08-21 14:46
    上传日期
Auto Complete4 extends Activity Source Code for Linux v2.13.6.
AutoComplete4.rar
  • AutoComplete4.c
    3.3KB
  • define.h
    14.7KB
内容介绍
package com.example.android.apis.view; import com.example.android.apis.R; import android.app.Activity; import android.content.ContentResolver; import android.content.Context; import android.database.Cursor; import android.os.Bundle; import android.provider.Contacts; import android.view.LayoutInflater; import android.view.View; import android.view.ViewGroup; import android.widget.AutoCompleteTextView; import android.widget.CursorAdapter; import android.widget.Filterable; import android.widget.TextView; public class AutoComplete4 extends Activity { @Override protected void onCreate(Bundle savedInstanceState) { super.onCreate(savedInstanceState); setContentView(R.layout.autocomplete_4); ContentResolver content = getContentResolver(); Cursor cursor = content.query(Contacts.People.CONTENT_URI, PEOPLE_PROJECTION, null, null, Contacts.People.DEFAULT_SORT_ORDER); ContactListAdapter adapter = new ContactListAdapter(this, cursor); AutoCompleteTextView textView = (AutoCompleteTextView) findViewById(R.id.edit); textView.setAdapter(adapter); } // XXX compiler bug in javac 1.5.0_07-164, we need to implement Filterable // to make compilation work public static class ContactListAdapter extends CursorAdapter implements Filterable { public ContactListAdapter(Context context, Cursor c) { super(context, c); mContent = context.getContentResolver(); } @Override public View newView(Context context, Cursor cursor, ViewGroup parent) { final LayoutInflater inflater = LayoutInflater.from(context); final TextView view = (TextView) inflater.inflate( android.R.layout.simple_dropdown_item_1line, parent, false); view.setText(cursor.getString(5)); return view; } @Override public void bindView(View view, Context context, Cursor cursor) { ((TextView) view).setText(cursor.getString(5)); } @Override public String convertToString(Cursor cursor) { return cursor.getString(5); } @Override public Cursor runQueryOnBackgroundThread(CharSequence constraint) { if (getFilterQueryProvider() != null) { return getFilterQueryProvider().runQuery(constraint); } StringBuilder buffer = null; String[] args = null; if (constraint != null) { buffer = new StringBuilder(); buffer.append("UPPER("); buffer.append(Contacts.ContactMethods.NAME); buffer.append(") GLOB ?"); args = new String[] { constraint.toString().toUpperCase() + "*" }; } return mContent.query(Contacts.People.CONTENT_URI, PEOPLE_PROJECTION, buffer == null ? null : buffer.toString(), args, Contacts.People.DEFAULT_SORT_ORDER); } private ContentResolver mContent; } private static final String[] PEOPLE_PROJECTION = new String[] { Contacts.People._ID, Contacts.People.PRIMARY_PHONE_ID, Contacts.People.TYPE, Contacts.People.NUMBER, Contacts.People.LABEL, Contacts.People.NAME, }; }
评论
    相关推荐
    • Simulate V2Vcommunication
      Simulate Vehicle-to-vehicle (V2V) communication on street networks
    • 1588V2协议
      1588V2协议, 适用于时钟同步,主、从及跨交换机的时钟同步
    • Cadmai V2
      Cadmai V2 是一个关系型的2D和3D CAD系统,包含一个实体建模工具,也可以作为一个智能化的CAD组件被集成到第三方应用程序中。Cadmai V2 是一个关系型的2D和3D CAD系统,包含一个实体建模工具,也可以作为一个智能化...
    • 到达页面v2
      到达页面v2 开发分支机构托管在 建立 nvm install && nvm use -使用正确版本的节点。 yarn安装所有依赖项。 开发 yarn dev构建站点,然后启动开发服务器。 开发服务器将站点托管在 。 无论何时进行更改,站点都应...
    • Fusioncharts V2
      flash 统计图, 很不错的开发套件。
    • SCALE_v2
      SCALE v2:通过潜在特征提取进行单细胞整合分析 安装 从PyPI安装 pip install scale-v2 从GitHub安装 git clone git://github.com/jsxlei/scale_v2.git cd scale_v2 python setup.py install SCALE v2在框架中实现。...
    • JHLidarLite_V2
      JHLidarLite_V2 通过I2C将PulsedLight,Inc的Lidar-Lite V2蓝色标签与NVIDIA Jetson TK1开发套件的接口。 注意:有关将LidarLite V1与Jetson TK1接口的信息,请参见 要求: $ sudo apt-get install libi2c-dev i...
    • v2
      v2 区块链相关: 定义一个工作量证明的结构 一种。 堵塞 b。目标值 提供一个创造POW的方法NewProofOfWork(参数) 提供一个计算哈希值的方法跑() 提供一个校验函数已验证()
    • portfolio-v2
      作品集(v2) 项目设置 是推荐的代码编辑器 : npm install -g @vue/cli #Install Command Line Interface Check your version: node --version # v14.16.0 npm --version # 6.14.11 vue --version # @vue/...
    • XNXX-v2
      XNXX-v2 从xnxx下载Video Bok * p :) 截屏 正在安装 $ apt update && apt upgrade $ termux - setup - storage;mkdir $ HOME / storage / shared / XNXX - v2 $ apt install git $ apt install php $ git clone ...